Postman Collection
प्रत्येक contract sandbox URLs और example request bodies के साथ pre-configured Postman collection के साथ आता है। Collection import करें, अपने credentials भरें, और आप बिना code लिखे हर endpoint को call कर सकते हैं।
Contract द्वारा Collections
| Contract | Collection | नोट्स |
|---|---|---|
| Authentication | Download | नीचे दी गई फ़ाइल download करें, इसे Postman में import करें, और अनुरोध का परीक्षण करने के लिए "service_account," "tenant_id," और "secret_key" पैरामीटरों के मानों को बदलें। |
| Web & SDK | Download | Process creation, GET process, GET evidences और GET PDF शामिल हैं। |
| API | Download | Process creation (POST) और GET process शामिल हैं। |
Setup
- जिस contract को आप integrate कर रहे हैं उसके लिए collection download करें।
- Postman में import करें:
File > Import > Upload Files। - Collection के आधार पर credentials configure करें:
Authentication — collection खोलें, Variables tab पर जाएं, और भरें:
| Variable | मान |
|---|---|
service_account | आपका service account नाम। |
tenant_id | आपका tenant ID। |
secret_key | आपकी private key (PEM format)। |
base_path | Token endpoint host। UAT पर डिफ़ॉल्ट (https://identityhomolog.acesso.io); production के लिए https://identity.acesso.io में बदलें। |
Web & SDK — प्रत्येक request खोलें और Authorization: Bearer मान को अपने access token से बदलें।
API — प्रत्येक request खोलें और Authorization: Bearer और APIKEY header मानों को अपने credentials से बदलें।
- Authentication request चलाएं — pre-request script स्वचालित रूप से JWT assertion बनाती है और इसे
{{jwt_token}}में संग्रहीत करती है।
Pre-request scripts
केवल Authentication collection में pre-request script शामिल है। यह:
- Collection variables से
service_account,tenant_id,secret_keyऔरbase_pathपढ़ता है। - Embedded KJUR library का उपयोग करके JWT assertion बनाता और sign करता है (RS256)।
- Signed token को
{{jwt_token}}में सहेजता है, जो स्वचालित रूप से request body में inject होता है।
Web & SDK और API collections में कोई pre-request scripts नहीं हैं — credentials सीधे request headers में सेट किए जाते हैं।
आगे क्या
- Authentication — collection को जो credentials चाहिए वे उत्पन्न करें।
- Web & SDK Overview — Web & SDK collection के लिए context।
- API Overview — API collection के लिए context।